INIT_QUADTREE( 8 )
CREATE_RECTANGLE( A, 20, 20, 10, 10 )
CREATE_RECTANGLE( B, 45, 55, 15, 25 )
CREATE_RECTANGLE( C, 71, 35, 10, 15 )
CREATE_RECTANGLE( D, 45, 105, 5, 25 )
CREATE_RECTANGLE( E, 180, 60, 20, 10 )
CREATE_RECTANGLE( F, 246, 225, 10, 25 )
CREATE_RECTANGLE( G, 200, 115, 20, 15 )
CREATE_RECTANGLE( Z, 73, 35, 15, 20 )
INSERT( A )
INSERT( B )
INSERT( C )
INSERT( D )
INSERT( E )
INSERT( F )
INSERT( G )
TOUCH( A )
TOUCH( B )
WITHIN( Z, 10 )
HORIZ_NEIGHBOR( E )
VERT_NEIGHBOR( E )
NEAREST_RECTANGLE( 120, 190 )
WINDOW( 25, 20, 60, 65 )
NEAREST_NEIGHBOR( C )
LEXICALLY_GREATER_NEAREST_NEIGHBOR( C )
LABEL()
